cgGetEnum(3)

NAME
cgGetEnum - get the enumerant assigned with the given string name

SYNOPSIS
  #include <Cg/cg.h>
  CGenum cgGetEnum( const char * enum_string );

PARAMETERS

enum_string
    A string containing the case-sensitive enum name.

RETURN VALUES
Returns the enumerant for enum_string.

Returns CG_UNKNOWN if no such enumerant exists

DESCRIPTION
cgGetEnum returns the enumerant assigned to an enum name.

EXAMPLES
  CGenum VaryingEnum = cgGetEnum("CG_VARYING");

ERRORS
CG_INVALID_PARAMETER_ERROR is generated if enum_string is NULL.

HISTORY
cgGetEnum was introduced in Cg 1.2.

SEE ALSO
the cgGetEnumString manpage